## org.apache.myfaces.custom.graphicimageajax
Class GraphicImageAjax

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIGraphic
                  javax.faces.component.html.HtmlGraphicImage
                      org.apache.myfaces.component.html.ext.HtmlGraphicImage
                          org.apache.myfaces.custom.graphicimageajax.GraphicImageAjax

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.apache.myfaces.component.UserRoleAware

public class GraphicImageAjax
extends org.apache.myfaces.component.html.ext.HtmlGraphicImage

Version:
  $Revision: 292080 $ $Date: 2005-05-11 19:57:24 +0200 (Wed, 11 May 2005) $ Warning, this component is far from ready. It's more a proof of concept right now. TODO : Remove the need to include .get for the last part of the method expressions : getBytesMethod="#{graphicImageAjaxBean.upImage.getBytes}" TODO : Find a better component name TODO : Make a similar download component to download files
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`GraphicImageAjax()`

Method Summary
`javax.faces.el.MethodBinding` `getGetBytesMethod()`
`javax.faces.el.MethodBinding` `getGetContentTypeMethod()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setGetBytesMethod(javax.faces.el.MethodBinding getBytesMethod)`
`void` `setGetContentTypeMethod(javax.faces.el.MethodBinding getContentTypeMethod)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlGraphicImage
`getClientId, getEnabledOnUserRole, getVisibleOnUserRole, isRendered, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.html.HtmlGraphicImage

`getAlt, getDir, getHeight, getLang, getLongdesc, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle, getUsemap, getWidth, isIsmap, setAlt, setDir, setHeight, setIsmap, setLang, setLongdesc, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle, setUsemap, setWidth`

Methods inherited from class javax.faces.component.UIGraphic
`getFamily, getUrl, getValue, getValueBinding, setUrl, setValue, setValueBinding`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### GraphicImageAjax

    public GraphicImageAjax()

Method Detail

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

### setGetContentTypeMethod

    public void setGetContentTypeMethod(javax.faces.el.MethodBinding getContentTypeMethod)

### getGetContentTypeMethod

    public javax.faces.el.MethodBinding getGetContentTypeMethod()

### setGetBytesMethod

    public void setGetBytesMethod(javax.faces.el.MethodBinding getBytesMethod)

### getGetBytesMethod

    public javax.faces.el.MethodBinding getGetBytesMethod()